Icaunux - Le Forum

Forum de l'Association ICAUNUX

Vous n'êtes pas identifié(e).

Annonce

Les Inscriptions au forum sont temporairement désactivées en attendant de trouver une solution efficace contre les inscriptions fictives très nombreuses ces derniers temps. Si vous souhaitez vous inscrire sur le forum, merci d'envoyer une demande par mail à l'adresse contact@icaunux.org. Désolé de cette gène occasionnée.

#1 16-11-2017 12:40:41

wanica
Membre
Inscription : 13-11-2008
Messages : 1 846

Firefox 57 ne gère pas les modules "anciens"

Bon on le savait depuis un certain temps.
Les modules complémentaires étaient affublés d'un obsolète.

Ce matin dans les maj de la xub 14.04, il y a la mise à jour de firefox. Je laisse faire. las...mal m' en a pris:

Plus aucun des super modules que j' avais n'est là:
speed dial ???
gestionnaire de session ???
noscript !!! Sergio Maone dit qu' il a pris du retard...
duckduck plus


Ils osent tout chez FF, c'est à ça qu' on reconnait les c. disait Audiard.

Bilan...tenter downgrade vers la 56...pas dispo dans synaptic...et pi on te dit sur le reso que c'est pas secure.

Une soluce = ESR on en est à la 52.
OK je down la 52 décompresse, extrait les fichiers vers le bureau.
Je clique sur firefox ou firefox.bin (trouvé dans les dossiers décompressés)  = NADA

Je crée un lanceur, le déclare exécutable = OK
1/ j' ai déclaré un répertoire de travail ( un des mes profils FF = LEGER avec seult 4 extensions)
2/ Test de lanceur sans rep de travail = ça marche aussi.
Et vu que j' ai activé firefox -P (profile manager), il me propose mon autre profil par défaut en plus de LEGER.

De là on peut tenter de retrouver ses extensions.
Evidemment, elles étaient à jour pour la 56, mais sont trop à jour pour la 52 ESR.

La question classique est = ah ben oui, mon exe de firefox 52 n'est pas dans usr/bin.
Comment en faire une vraie install façon .deb ? Ce n'est pas un .deb cette archive téléchargée.

Une possibilité serait de décompresser l'archive directement dans un répertoire d' installation, mais ça ,e marche pas vraiment comme ça dans linux, me semble t il.

Le truc bien , c'est que les profils sont dans /home/.mozilla/
clairement séparés, et pas détruits lors de l' upgrade.

Ne me parlez pas de Chrome !
Opera avec sa nouvelle interface est rapide,mais est très différent de FF, moins de modules.
par contre une super nouvelle possibilité = VPN intégré que l' on active et désactive simplement.

Sans être un vieux schnock pas ouvert au changement, quand on a des habitudes et des réflexes, on est plus rapide et plus efficace.
Se les voir changées sans être consulté est pénible et chronophage, à moins d' être un vrai geek dur de dur.

Hors ligne

#2 17-11-2017 12:05:05

IceCat
Membre
Lieu : 93
Inscription : 17-11-2012
Messages : 595

Re : Firefox 57 ne gère pas les modules "anciens"

Je trouve Firefox Quantum pourtant 1000x mieux que les versions précédentes, en tout cas niveau réactivité sur ma machine ! smile

Pour ce qui est de tes extensions :


promotion.php?image=PL-user.png&membre=IceCat

Hors ligne

#3 17-11-2017 20:44:37

wanica
Membre
Inscription : 13-11-2008
Messages : 1 846

Re : Firefox 57 ne gère pas les modules "anciens"

Pour speed dial...j'utilisais plusieurs groupes à profils très différents...

La seule soluce que je vois à court terme est de créer différents profils firefox.
ET dans chaque groupe une custom de 3*3 jusqu'à 5*4 ...
C'est une très grosse perte !!

http://sessionmanager.mozdev.org/
Le gestionnaire de session = session manager qui permet des tas de possibilités...

Pas vu si block origin est encore dispo...SI !!

Je doute fort qu'une extension puisse arriver à la cheville de noscript qui est un must absolu quoique pas évident au début à maîtriser= il faut au moins 10 minutes !!

Bon je vais tester noscrit-lite...
https://mybrowseraddon.com/noscript-lit … pe=install

Alors oui le nouveau FF 57 est rapide ( sans extensions), mais je peux difficilement comparer avec la 56 bardée d' extensions ( 25 installées et 12 d' actives), 250 sessions enregistrées dont une cinquantaine avec nom et date...

Hors ligne

#4 17-11-2017 23:13:25

OinOin
Membre
Lieu : BRIENON-SUR-ARMANCON
Inscription : 26-01-2015
Messages : 114

Re : Firefox 57 ne gère pas les modules "anciens"

Je suis de ton avis aussi IceCat : moi aussi je trouve que cette nouvelle version de Firefox est bien plus réactive surtout quand plus elle m'a permis de corriger un bug avec la synchro du compte Firefox (il faisait ramer à mort mon PC pour terminer par me faire planter Firefox).

Pour les modules je te confirme que Ublock origin est compatible (ils ont revu le développement depuis que FF commençait sa com autour de sa nouvelle politique autour des modules complémentaires). Ensuite j'utilise HTTPS Everywhere, NoScript (là je suis de l'avis de wanica, vivement que son développeur se rattrape sur son retard), Ghostery et Video Download Helper (d'ailleurs je te remercie encore wanica pour m'avoir montré que sur Linux ce module n'est pas payant pour accéder au convertisseur ;-) ).

En tous cas je suis content que Firefox évolue pour maintenir sa notoriété et tenter de contrer Chrome.

Hors ligne

#5 21-11-2017 10:05:06

wanica
Membre
Inscription : 13-11-2008
Messages : 1 846

Re : Firefox 57 ne gère pas les modules "anciens"

Même si cette manip est déconseillée, si vous voulez bloquer la mise à jour d' un logiciel ( dans l' idéal ne plus s'en servir tant qu'une soluce n'est pas trouvée)
voici la manière:
https://korben.info/comment-empecher-ce … -jour.html

sudo apt-mark hold NOM_DU_PAQUET

ou avec dpkg

echo "NOM_DU_PAQUET hold" | sudo dpkg --set-selections

dpkg --get-selections

Pour annuler le hold

echo "NOM_DU_PAQUET install" | sudo dpkg --set-selections

sudo apt-mark unhold NOM_DU_PAQUET

Voila...

Hors ligne

Pied de page des forums